Subject: Re: [PATCH 2/2] submodule: Add 'quiet' option in subcommand 'set-branch'

From: Denton Liu <[email-masked]>
Date: Sat, 16 May 2020 07:06:04 -0400

On Sat, May 16, 2020 at 04:10:15PM +0530, Shourya Shukla wrote:
> On 16/05 04:56, Denton Liu wrote:
> > I would argue that it's unnecessary to print anything. If a user
> > provides an invalid option, then an error message will be printed. If no
> > error is provided, then a user would assume that the command succeeded.
> > Take, for example, `git submodule set-url` which behaves similarly. It's
> > silent on success. Printing on success would just be noise.
> 
> Okay, I have dropped the commit. When exactly is printing on success not
> deemed as noise?

There's not really a hard rule on this. As a rule of thumb, though, if
it's between a success and a failure, the failure should print and the
success should be silent. If the user is requesting some information,
then it should always print the information. There are probably some
commands that are exceptions to these rules, though.